﻿/******* process history einstellungen ********/

.state-container {
    margin-top: 15px;
    /*background-color: rgba(255,255,255,0.25);
    min-height: 100px;*/
}

    .state-container .state {
        padding: 10px;
        padding-left: 15px;
        padding-right: 15px;
        border: 1px solid grey;
        border-radius: 5px;
        margin-bottom: 15px;
        background-color: #cccaf3;
        box-shadow: 1px 2px 5px 0px grey;
    }

.steps-table {
    margin-top: 15px;
}

    .steps-table th {
        text-align: center;
        vertical-align: middle;
    }

    .steps-table td {
        text-align: center;
        vertical-align: middle;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        max-width: 150px;
    }

/*.steps-table td > div {
            overflow: hidden;
            text-overflow: ellipsis;
            max-width: 150px;
        }*/

.step-edit-window-background {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10000;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.7);
}

.step-edit-window {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    width: 90vw;
    max-width: 750px;
    height: 90vh;
    border-radius: 5px;
    padding: 15px;
    overflow-y: auto;
}

    .step-edit-window h4 {
        margin-top: 25px;
    }

    .step-edit-window textarea {
        min-height: 150px;
    }

.state-edit-window {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    width: 90vw;
    max-width: 750px;
    /*height: 90vh;*/
    border-radius: 5px;
    padding: 15px;
    overflow-y: auto;
}

.step-edit-window .selectionContainer {
    margin: 0 auto;
    list-style: none;
    border: 1px solid grey;
    border-radius: 5px;
    padding: 0;
    max-height: 300px;
    overflow: auto;
}

    .step-edit-window .selectionContainer li {
        background-color: #f5f5f5;
    }

        .step-edit-window .selectionContainer li:nth-child(2n+1) {
            background-color: #e6e6e6;
        }

        .step-edit-window .selectionContainer li:hover {
            background-color: #d2d7ff;
            color: #000656;
        }

        .step-edit-window .selectionContainer li label {
            width: 100%;
            padding: 5px;
            padding-left: 50px;
            font-weight: normal;
            margin-bottom: 0;
        }
